org.springframework.web.server.handler

## Class ExceptionHandlingWebHandler

- java.lang.Object
- - org.springframework.web.server.handler.WebHandlerDecorator
  - - org.springframework.web.server.handler.ExceptionHandlingWebHandler

- All Implemented Interfaces:
    WebHandler

      public class ExceptionHandlingWebHandler
      extends WebHandlerDecorator

  WebHandler decorator that invokes one or more `WebExceptionHandlers` after the delegate `WebHandler`.
  Since:
    5.0
  Author:
    Rossen Stoyanchev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExceptionHandlingWebHandler(WebHandler delegate, List<WebExceptionHandler> handlers)` Create an `ExceptionHandlingWebHandler` for the given delegate.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<WebExceptionHandler>` | `getExceptionHandlers()` Return a read-only list of the configured exception handlers.
    `reactor.core.publisher.Mono<Void>` | `handle(ServerWebExchange exchange)` Handle the web server exchange.

    - ### Methods inherited from class org.springframework.web.server.handler.WebHandlerDecorator

      `getDelegate, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionHandlingWebHandler

          public ExceptionHandlingWebHandler(WebHandler delegate,
                                             List<WebExceptionHandler> handlers)

      Create an `ExceptionHandlingWebHandler` for the given delegate.
      Parameters:
        `delegate` - the WebHandler delegate
        `handlers` - the WebExceptionHandlers to apply

  - ### Method Detail

    - #### getExceptionHandlers

          public List<WebExceptionHandler> getExceptionHandlers()

      Return a read-only list of the configured exception handlers.

    - #### handle

          public reactor.core.publisher.Mono<Void> handle(ServerWebExchange exchange)

      Description copied from interface: `WebHandler`
      Handle the web server exchange.
      Specified by:
        `handle` in interface `WebHandler`
      Overrides:
        `handle` in class `WebHandlerDecorator`
      Parameters:
        `exchange` - the current server exchange
      Returns:
        `Mono<Void>` to indicate when request handling is complete